com.gisgraphy.street

## Class StreetSearchQueryHttpBuilder

- java.lang.Object
- - com.gisgraphy.geoloc.GeolocQueryHttpBuilder
  - - com.gisgraphy.street.StreetSearchQueryHttpBuilder

-     public class StreetSearchQueryHttpBuilder
      extends GeolocQueryHttpBuilder

  a query to be execute by the @link `StreetSearchEngine`
  Author:
    David Masclet

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StreetSearchQueryHttpBuilder()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `com.gisgraphy.street.StreetSearchQuery` | `buildFromHttpRequest(javax.servlet.http.HttpServletRequest req)`
    `protected com.gisgraphy.street.StreetSearchQuery` | `constructMinimalQuery(com.vividsolutions.jts.geom.Point point, double radius)` Create a basic GeolocQuery. this method must be overide if we need to create inheritance object
    `static StreetSearchQueryHttpBuilder` | `getInstance()`
    `protected int` | `getMaxResults()`
    `protected boolean` | `isPointRequired()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StreetSearchQueryHttpBuilder

          public StreetSearchQueryHttpBuilder()

  - ### Method Detail

    - #### getInstance

          public static StreetSearchQueryHttpBuilder getInstance()

    - #### constructMinimalQuery

          protected com.gisgraphy.street.StreetSearchQuery constructMinimalQuery(com.vividsolutions.jts.geom.Point point,
                                                                     double radius)

      Description copied from class: `GeolocQueryHttpBuilder`
      Create a basic GeolocQuery. this method must be overide if we need to create inheritance object
      Overrides:
        `constructMinimalQuery` in class `GeolocQueryHttpBuilder`
      Parameters:
        `point` - the JTS point to create the query
        `radius` - the radius to search around

    - #### buildFromHttpRequest

          public com.gisgraphy.street.StreetSearchQuery buildFromHttpRequest(javax.servlet.http.HttpServletRequest req)

      Overrides:
        `buildFromHttpRequest` in class `GeolocQueryHttpBuilder`
      Parameters:
        `req` - an HttpServletRequest to construct a `GeolocQuery`

    - #### isPointRequired

          protected boolean isPointRequired()

      Overrides:
        `isPointRequired` in class `GeolocQueryHttpBuilder`
      Returns:
        true if the point is required

    - #### getMaxResults

          protected int getMaxResults()

      Overrides:
        `getMaxResults` in class `GeolocQueryHttpBuilder`

Copyright © 2015. All rights reserved.